$(function () {
    $("#example1").DataTable({
        "responsive": true, "lengthChange": false, "autoWidth": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
    $("#formPlataforma").on("submit", function (e) {
        ActualizarPlataforma(e);
    });
});
$(document).ready(function () {    
    $('#plataforma-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],        
        "ajax": {
            url: "../../controller/mallaCurricular.php?op=plataforma",
            type: "post"
            
        },        
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
});
function editar(mallacurriculardbk) {
    $.post("../../controller/mallaCurricular.php?op=consultar_malla", {mallacurriculardbk: mallacurriculardbk}, function (data) {
        data = JSON.parse(data);
        $('#mallacurriculardbk').val(data.mallacurriculardbk);
        $('#chat').val(data.chat);
        $('#video').val(data.video);
    });
    $('#lblTitulo').html('Editar Plataformas');
    $('#mantenimiento').modal('show');
}
function ActualizarPlataforma(e) {
    e.preventDefault();
    var formData = new FormData($("#formPlataforma")[0]);
    $.ajax({
        url: '../../controller/mallaCurricular.php?op=guardarPlataforma',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#plataforma-data').DataTable().ajax.reload();
            $('#mantenimiento').modal('hide');            
            Swal.fire({
                title: 'Operacion Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}